Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236385 - If comps file is missing on disk, repomd is not generated
Summary: If comps file is missing on disk, repomd is not generated
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend
Version: rhn500
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: Matthew Davis
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-13 15:23 UTC by James Bowes
Modified: 2013-01-10 09:52 UTC (History)
3 users (show)

Fixed In Version: rhn501h
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-17 02:25:05 UTC


Attachments (Terms of Use)

Description James Bowes 2007-04-13 15:23:44 UTC
If a channel references a comps file in the db, but the comps file does not
exist on disk, an unhandled exception is raised, preventing the repomd.xml file
from being properly generated.

In webqa, rhel-i386-client-5 is in this state. Subscribe a system to that
channel and ensure that yum update works.

Comment 1 James Bowes 2007-04-13 15:27:33 UTC
The error you don't want to see is:
Cannot open/read repomd.xml file for repository: rhel-i386-client-5

Comment 2 Corey Welton 2007-04-18 19:27:38 UTC
Fails in QA currently
[root@bnackash-64 ~]# rhn_register
[root@bnackash-64 ~]# yum install screen
Loading "installonlyn" plugin
Loading "rhnplugin" plugin
Setting up Install Process
Setting up repositories
Error: Cannot open/read repomd.xml file for repository: rhel-i386-server-5


Comment 3 Matthew Davis 2007-04-26 21:26:42 UTC
Seems ok in webqa

Comment 4 Corey Welton 2007-05-09 00:54:06 UTC
On stage.


Comment 5 Brandon Perkins 2007-05-17 02:25:05 UTC
Closed for RHN 501 Hosted.


Note You need to log in before you can comment on or make changes to this bug.